#include <iostream>
#include<algorithm>

using namespace std;

int main()
{
    int N, k=0, l=0;
    cin>>N;
    int A[N];
    int B[N];
    for(int i=0;i<N;i++){
        l=l+i;
    }
    int C[l];
    for(int i=0;i<N;i++){
        cin>>A[i];
    }
    for(int i=0;i<N;i++){
        cin>>B[i];
    }
    int v, v1;
    for(int i=0;i<N;i++){
        v=A[i];
        v1=B[i];
        for(int j=i+1;j<N;j++){
            v=v^A[j];
            v1=v1&B[j];
            C[k]=v*v1;
            k++;
        }
    }
    int cv= sizeof(C)/sizeof(C[0]);
    std::sort(C, C + cv);
    cout<<C[l-1]<<endl;
    return 0;
}